landsatAdd {oce} | R Documentation

## Add a Band to a landsat Object

### Description

Add a band to an object of `landsat-class`. Note that it will be stored in numeric form, not raw form, and therefore it will require much more storage than data read with `read.landsat`.

### Usage

    landsatAdd(x, data, name, debug = getOption("oceDebug"))

### Arguments

`x` | A `landsat` object, e.g. as read by `read.landsat`.
`data` | A matrix of data, with dimensions matching that of entries already in `x`.
`name` | The name to be used for the data, i.e. the data can later be accessed with `d[[name]]` where `d` is the name of the return value from the present function.
`debug` | A flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or a higher value for more debugging.

### Value

An object of `landsat-class`, with a new data band.

### Author(s)

Dan Kelley

### See Also

The documentation for `landsat-class` explains the structure of landsat objects, and also outlines the other functions dealing with them.

Other things related to `landsat` data: `[[,landsat-method`, `landsat-class`, `landsatTrim`, `landsat`, `plot,landsat-method`, `read.landsat`, `summary,landsat-method`

[Package oce version 0.9-22 Index]